<?php
class main_model extends model{
    function get_login($user, $pass){
        $this->_db->where("CodVen = ".$user." AND ClaVen = ".$pass);
        $rtn = $this->_db->get_tabla("vendedores");
        return $rtn;
    } 
    
    function cambiar_clave($user, $oldpass, $newpass){
        $rtn = $this->_soap['clientes']->send_func("cambiar_clave", $user, $oldpass, $newpass );
        return $rtn;
    }
    
    function get_sistemas_all(){
        return $this->_db->get_tabla("A_OT_TIPO_SIS","EST > -1");
    }
    
    function get_colores_cortinas_all(){
        return $this->_db->get_tabla("A_OT_COLOR_TELA","EST > -1");
    }
    
    function get_envios_all(){
        return $this->_db->get_tabla("A_OT_FORMA_ENVIO","EST > -1");
    }
    
    function get_telas_all(){
        return $this->_db->get_tabla("A_OT_TIPO_TELA","EST > -1");
    }
    
    function get_identifiacion($ip){
        $rtn = $this->_db->get_tabla("APARPOS", "LUG = '".$ip."'");
        return $rtn;
    }
    
    function get_usuarios_all(){
        $rtn = $this->_db->get_tabla("VENDEDORES");
        return $rtn;
    }
    
    function get_last_nco($suc){
        $this->_db->select(" isnull(MAX(NCO) + 1, 1) AS NCO");
        $this->_db->where("SUC = ".$suc);
        $max_item = $this->_db->get_tabla("A_OT_CAB");
        return $max_item[0]['NCO'];
    }
}
?>
